jQuery(document).ready(function ($) {
    // When the notice is dismissed
    $(document).on('click', '.expert-adventure-guide-notice .notice-dismiss', function () {
        $.post(ajaxurl, {
            action: 'expert_adventure_guide_dismiss_notice'
        });
    });
});